package com.nisum.offertransactionservice.genericexception;

import com.safeway.epe.model.Response;

public class GlobalApiGenericException extends RuntimeException {

	
	private static final long serialVersionUID = -3841677326659278730L;

	private String statusCode;

	private boolean isHttpError;

	private Response response;


	public GlobalApiGenericException() {
	}

	public GlobalApiGenericException(Response response,String statusCode){
		this.response=response;
		this.statusCode= statusCode;
	}

	public GlobalApiGenericException(String debugMessage){
		this.statusCode=debugMessage;
	}


	public GlobalApiGenericException(String debugMessage, Throwable ex, String statuCode, boolean isHttpError) {
		super(debugMessage, ex);
		this.statusCode =statuCode;
		this.isHttpError = isHttpError;
	}

	public String getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}

	public boolean isHttpError() {
		return isHttpError;
	}

	public void setHttpError(boolean httpError) {
		isHttpError = httpError;
	}

	public Response getResponse() {
		return response;
	}

	public void setResponse(Response response) {
		this.response = response;
	}
}
